none
How to downgrade .net compiler from 5.3 to 5.2.x in visual studio 2015 RRS feed

  • Question

  • I have stupidly upgraded my compiler through NuGet to 5.3 in visual studio 2015 professional

    now I get this error when trying to compile a Xamarin app 

    The Microsoft.NETCore.UniversalWindowsPlatform 5.3 and later is only supported in visual studio 2017

    .....You can downgrade to 5.2.x.......

     but it doesn't tell me how ?

    Any ideas ?

    Thursday, February 23, 2017 12:33 PM

All replies

  • Hi Keith,

    Thank you for posting in MSDN forum.

    About downgrade the Nuget package, please try the following steps:

    1. Right click your Xamarin project, choose "Manage Nuget Packages":

    2. In the right place, choose the version you would like to apply, and click "Update"

    3. It informs changes about some packages are restoring or download.

    Best Regards,


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Friday, February 24, 2017 5:27 AM
    Moderator